Receive a Scan

The following call will be requested when the scanner has successfully recognized a barcode:

POST https://your-end-point.com/v1/scan

Request Body

PropertyTypeDefaultDescriptionExample
scanRequestId*string (UUIDv4)Id of scan"bd4a0997-39db-41d9-883a-cdfa83e2101f"
hmac*stringBase 64 encoded HMAC of the id of the scan to verify authenticity"LjtublVo7f29ztAZq1aVT1W9lXX..."
scannerId*string (UUIDv4)Id of the scanner, that can be looked up"51c2df21-a7f3-4b92-a7b2-3d221ced61ae"
barcodeType*stringType of barcode (see supported types below)"QR"
barcodeData*stringBarcode data"93487844"

Supported Barcode Types

  • AZTEC
  • CODABAR
  • CODE39
  • CODE93
  • CODE128
  • CODE39MOD43
  • DATAMATRIX
  • EAN13
  • EAN8
  • INTERLEAVED2OF5
  • ITF14
  • MAXICODE
  • PDF417
  • RSS14
  • RSSEXPANDED
  • UPC_A
  • UPC_E
  • UPC_EAN
  • QR

Example Request

Copy
{ "scanRequestId": "bd4a0997-39db-41d9-883a-cdfa83e2101f", "hmac": "LjtublVo7f29ztAZq1aVT1W9lXX7JoBwBp1hrNFGFoF5URBjSXKtAJpn1ejXrG+Mh4pMI0samNlpdmogtBabuw==", "scannerId": "51c2df21-a7f3-4b92-a7b2-3d221ced61ae", "barcodeType": "EAN13", "barcodeData": "90834098394" }
Previous
Authentication
Next
Respond to Scan